package com.miaxis.newgzpt.service.impl;

import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.newgzpt.domain.GzptTrainRecord;
import com.miaxis.newgzpt.mapper.GzptTrainRecordMapper;
import com.miaxis.newgzpt.service.IGzptTrainRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-23
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class GzptTrainRecordServiceImpl extends ServiceImpl<GzptTrainRecordMapper, GzptTrainRecord> implements IGzptTrainRecordService {


    @Resource
    GzptTrainRecordMapper gzptTrainRecordMapper;


    @Override
    public void saveGzptTrainRecord(GzptTrainRecord gzptTrainRecord) {

        gzptTrainRecordMapper.saveGzptTrainRecord(gzptTrainRecord);
    }
}
